<?php
session_start();
include('config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

include($rutaPhp.$rutaHtml.'/acceso/control.php');
include($rutaPhp.$rutaHtml.'/maqueta/arriba.php');

include($rutaPhp.$rutaHtml.'/librerias/teclado.php');

$esperarCarga=true;

unset($_SESSION['operacion']['Limpiezas']);

if($_POST['enviar']=='1') {

	if($_POST['resultadoInspeccion']=='Aceptado') $resultadoInspeccion='S'; else $resultadoInspeccion='N';

	$parametrosCierre='';

	foreach($_POST as $campo=>$valor) {
	
		$valores=explode('-',$campo);
		if($valores[0]=='conformidadAutocontrol') {
		
			if($parametrosCierre!='') $parametrosCierre.=',';
			
			$transformacion=$valores[1];
			$identificadorTipo=$valores[2];
			$ordinalAutoControl=$valores[3];
			$ordinalConcepto=$valores[4];
			
			$parametrosCierre.=$transformacion.'¬'.$identificadorTipo.'¬'.$ordinalAutoControl.'¬'.$resultadoInspeccion.'¬'.$ordinalConcepto;

		}
	
	}
	
	$peticion ='SGAControlesCalidad#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#CIERREAUTOCONTROLCALIDAD#'.$parametrosCierre;
	
	$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
		
	if($_GET['traza']=='si') {
		echo '<p>Procesamiento</p>';
		echo '<p>'.$peticion.'</p>';
		print_r($resultado);
	}
		
	$valores=explode('#',$resultado[0]['Error']);
		
	if($valores[0]=='0') {
		?>
        <script>
			alert('<?php echo $valores[1]; ?>',null,'ok')
			.done(function(){
				<?php if($_GET['traza']!='si') { ?>
				$('#popupCargando').show();
				window.location=window.location;
				<?php } ?>
			});
        </script>
        <?php
	}
	else {
		?>
        <script>alert('ERROR: <?php echo $valores[1]; ?>',null,'error');</script>
		<?php
	}

}

?>
<h2>Controles de calidad en línea pendientes <img src="<?php echo DIR_IMAGENES; ?>/botones/reresh.png" alt="Refrescar" class="refrescar"/></h2>

<div id="listaOrdenes" style="padding-bottom:70px">
</div>

<script>

$(document).ready(function() {

	$('#popupCargando').show();
	
	$('.refrescar').on("click",function(e) {
		$('#popupCargando').show();
		window.location.reload();
	});
	
	$.post( "<?php echo $rutaHtml; ?>/contenidos/calidad-controles-listado.php?autocontroles=si<?php if($_GET['traza']=='si') { ?>&traza=si<?php } ?>" )
	.done(function(data) {
		$('#popupCargando').hide();
		$('#listaOrdenes').html(data);
	});

});

</script>

<?php
include($rutaPhp.$rutaHtml.'/maqueta/abajo.php');
?>
